Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513826 - Can't type 'c' or 'd' in search box
Summary: Can't type 'c' or 'd' in search box
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: atril
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 03:53 UTC by David Gibson
Modified: 2017-11-27 21:24 UTC (History)
3 users (show)

Fixed In Version: atril-1.19.4-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-27 21:24:52 UTC


Attachments (Terms of Use)

Description David Gibson 2017-11-16 03:53:11 UTC
Description of problem:

'C' and 'D' are default keyboard shortcuts for Continuous and Dual view modes.  So far so good.

But those keys are trapped to mean those shortcuts, even when the search box is focussed, meaning you can't type 'c' or 'd' in the search string.


Version-Release number of selected component (if applicable):

atril-1.19.4-1.fc27.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Start atril on some pdf document
2. Press Ctrl-F to focus search box
3. Press 'c'

Actual results:

Continuous view mode toggles, no change to contents of search box.

Expected results:

'c' is added to search string.

Additional info:

Comment 1 Wolfgang Ulbrich 2017-11-16 08:43:36 UTC
Can you please file out an upstream report?
https://github.com/mate-desktop/atril/issues

Comment 2 Wolfgang Ulbrich 2017-11-21 21:38:08 UTC
I think i found a solution, if you can't wait please test
https://github.com/mate-desktop/atril/pull/284

Comment 3 Wolfgang Ulbrich 2017-11-22 17:27:05 UTC
Can you please test this scratch build?
https://koji.fedoraproject.org/koji/taskinfo?taskID=23302649

Comment 4 David Gibson 2017-11-23 01:47:31 UTC
umbus:~$ rpm -qa | grep atril
atril-1.19.4-2.fc27.x86_64
atril-caja-1.19.4-2.fc27.x86_64
atril-libs-1.19.4-2.fc27.x86_64
atril-thumbnailer-1.19.4-2.fc27.x86_64

Unfortunately, no change in behaviour.  Pressing 'c' or 'd' (and I think a couple of other keys are affected) triggers menu items rather than typing into the search panel.

Comment 5 Wolfgang Ulbrich 2017-11-23 08:41:29 UTC
Opps, i picked the wrong SRPM, my fault.
Please try this build https://koji.fedoraproject.org/koji/taskinfo?taskID=23314995
To be sure check the SPEC file from SRPM. You should see those patches:

# https://github.com/mate-desktop/atril/pull/284
Patch1:         atril_0001-Use-a-global-array-for-view-accel-action.patch
Patch2:         atril_0002-shell-forward-accels-to-the-focused-widget.patch
Patch3:         atril_0003-shell-Remove-ev_window_set_view_accels_sensitivity.patch
Patch4:         atril_0004-shell-remove-view_actions_focus_out_cb.patch

Several keys are affected.
d, c, w, f, p, n and using crtl+left/right-arrow (for navigation in search field) should work again.

Comment 6 Wolfgang Ulbrich 2017-11-23 08:42:02 UTC
Please test again.

Comment 7 David Gibson 2017-11-23 09:44:51 UTC
The packages linked in comment 5 work well for me.  I can type normally in the search box again.

Thanks!

Comment 8 Wolfgang Ulbrich 2017-11-23 10:01:09 UTC
Good, new build coming soon.
Btw. 1.19.4 has 'caret-navigation' as new feature, but it isn't documented at the moment.
Simply type F7.

Comment 9 Fedora Update System 2017-11-23 11:57:49 UTC
atril-1.19.4-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b7c445214

Comment 10 Fedora Update System 2017-11-25 00:36:16 UTC
atril-1.19.4-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b7c445214

Comment 11 Fedora Update System 2017-11-27 21:24:52 UTC
atril-1.19.4-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.